Bug 445002 - (CVE-2008-2050) CVE-2008-2050 php: stack based buffer overflow in FastCGI SAPI
CVE-2008-2050 php: stack based buffer overflow in FastCGI SAPI
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On:
  Show dependency treegraph
Reported: 2008-05-02 13:52 EDT by Josh Bressers
Modified: 2016-03-04 07:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-03-29 05:45:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2008-05-02 13:52:44 EDT
From the PHP 5.2.6 changelog:

* Fixed possible stack buffer overflow in the FastCGI SAPI identified by Andrei
Comment 1 Josh Bressers 2008-05-02 13:53:41 EDT
The fix for this issue is here:
Comment 3 Tomas Hoger 2008-05-05 04:24:15 EDT
Affected code was introduced in PHP version 5.1.3:

  Version 5.1.3

  [ ... ]
    * Reimplemented FastCGI interface. (Dmitry)

Comment 4 Joe Orton 2008-05-06 06:43:22 EDT
There are two changes in the referenced patch:

1) the first appears to fix a case where an amount of uninitialized stack buffer
could be written to the FastCGI server.

2) the second appears to fix a buffer overflow which could be triggered by the
FastCGI server.

Since the FastCGI server is local trusted code and not under the control of an
attacker, I would say that these bugs do not have any impact on security.
Comment 5 Tomas Hoger 2010-03-29 05:45:36 EDT

  This issue does not affect the version of PHP shipped in Red Hat Enterprise
  Linux 2.1, 3, or 4.

  We do not consider this issue to be a security flaw for Red Hat Enterprise
  Linux 5 since no trust boundary is crossed.

Note You need to log in before you can comment on or make changes to this bug.